Name:           edje
Version:        1.0.0
Release:        2%{?dist}
Summary:        A graphical layout and animation library

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  evas-devel eet-devel embryo-devel ecore-devel 
BuildRequires:  chrpath pkgconfig doxygen inkscape lua-devel

%description
A graphical layout and animation library for animated resizable, compressed and
scalable themes.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       evas-devel ecore-devel embryo-devel eet-devel 
Requires:       zlib-devel pth-devel pkgconfig inkscape lua-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}


%build
%configure --disable-static
make %{?_smp_mflags}
cd doc; make doc %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
chrpath --delete %{buildroot}%{_bindir}/%{name}_cc
chrpath --delete %{buildroot}%{_bindir}/%{name}_decc
find $RPM_BUILD_ROOT -name '*.la' -delete
chrpath --delete %{buildroot}%{_libdir}/lib%{name}.so*

# remove unfinished manpages
find doc/man/man3 -size -100c -delete

for l in todo %{name}.dox
do
 rm -f doc/man/man3/$l.3
done 

mkdir -p %{buildroot}%{_mandir}/man3
install -Dpm0644 doc/man/man3/* %{buildroot}%{_mandir}/man3


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/%{name}_*
%{_libdir}/*.so.*
%{_datadir}/%{name}
%{_datadir}/mime/packages/%{name}*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_bindir}/inkscape2edc
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-1
- final 1.0.0 release

* Thu Dec 16 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-0.1.beta3
- beta 3 release

* Sat Nov 06 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-0.1.beta1
- update to beta 1 release

* Fri Jul 02 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.99.49898-1
- edje 0.9.99.49898 snapshot release

* Fri Jun 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.93.49539-1
- edje 0.9.9.49539 snapshot release

* Tue Feb 16 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.93.063-1
- New upstream source 0.9.93.063

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.9.050-6
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9.050-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9.050-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-3
- edje-devel now depends on inkscape

* Fri Jan 16 2009 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-2
- Include inkscape2edc

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.050-1
- New upstream snapshot

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.043-2
- Fixed unowned directories

* Tue May 20 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.043-1
- New upstream snapshot

* Tue May 06 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.042-3
- Fixed missing dependencies and buildrequires for edje-devel

* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.042-2
- Added missing dependencies for edje-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files
- Added html docs

* Mon Apr 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.042-1
- Initial specfile for Edje
